#!/bin/bash
RED='\033[1;31m'
GREEN='\033[1;32m'
BLUE='\033[1;35m'
YELLOW='\033[1;33m'
NC='\033[0m'
ip_to_find="0.0.0.0"
blocked=0
rojo(){
        echo -e "${RED}$1${NC}"
}
amarillo(){
        echo -e "${YELLOW}$1${NC}"
}
verde(){
        echo -e "${GREEN}$1${NC}"
}
azul(){
        echo -e "${BLUE}$1${NC}"
}

domains=$(curl -s https://raw.githubusercontent.com/StevenBlack/hosts/master/data/StevenBlack/hosts | grep -v ^# | cut -d" " -f2)
for j in $domains; do
        output=$(dig @192.168.1.1 $j +short)
        if [ -z "$output" ];then
              rojo "$output NXDOMAIN"
              echo ""
        else              
              echo $j\:$output
              echo -e "0.0.0.0\t$j" >> lista.txt
        fi
done;
